
Foreman - Bug #8045

Domain names miss validations

10/23/2014 04:44 AM - Tomáš Strachota

Status: New   

Priority: Low   

Assignee:    

Category: DNS   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1173744 Red Hat JIRA:  

Pull request:    

Description

Currently there's no restriction on the domain names. Even though it doesn't make sense for users to enter invalid domain names the

validation should be present.

A typo in a domain name can cause "Invalid name" exception when creating a host in the domain. Domain name is not directly visible

on the same tab so it can be difficult to find the cause of the problem.

Related issues:

Related to Foreman - Bug #1889: RFE: Support IDN domains Rejected 10/05/2012

History

#1 - 12/16/2014 05:00 PM - Bryan Kearney

- Bugzilla link set to 1173744

#2 - 12/21/2014 08:34 AM - Tomer Brisker

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#3 - 12/21/2014 09:23 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2031 added

- Pull request deleted ()

#4 - 02/29/2016 03:12 AM - Tomer Brisker

- Related to Bug #1889: RFE: Support IDN domains added

#5 - 04/28/2016 03:14 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Tomer Brisker)

- Pull request deleted (https://github.com/theforeman/foreman/pull/2031)

PR closed due to inactivity.

#6 - 08/22/2017 07:36 AM - Tomer Brisker

- Category changed from Web Interface to DNS
